Page MenuHomePhabricator

upgrade: rename finddeficiences() to find_format_upgrades()
ClosedPublic

Authored by pulkit on Dec 14 2020, 5:52 AM.

Details

Summary

It was not obvious what does deficieny means and every format upgrade can't be a
deficiency. There are some format upgrades like compression levels, share-safe
which can't be understood at deficiencies.

A change can be an upgrade or downgrade, however this finddeficiences() only
used to find upgrades.

This patch renames the function and related variables to make things more
clearer. The ui message also got improved which is a good thing.

Next patch will rename deficiency in general across the upgrade code.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit created this revision.Dec 14 2020, 5:52 AM
pulkit updated this revision to Diff 24298.Dec 16 2020, 5:14 AM

I don't know if `"format upgrade" is the right pick. Because the command can more things in both direction. What about "format variant" ?

I don't know if `"format upgrade" is the right pick. Because the command can more things in both direction. What about "format variant" ?

Agreed, will update.

pulkit retitled this revision from upgrade: rename deficiences to format_upgrades to upgrade: rename finddeficiences() to find_format_upgrades().Dec 30 2020, 5:31 AM
pulkit edited the summary of this revision. (Show Details)
pulkit updated this revision to Diff 24541.
pulkit added a comment.Jan 6 2021, 4:48 AM

I don't know if `"format upgrade" is the right pick. Because the command can more things in both direction. What about "format variant" ?

Deficiency was used in replacement for two things: format upgrades and format variants. I have split the old patch and to replace each of both separately.

marmoute accepted this revision.Jan 7 2021, 6:29 PM
mharbison72 accepted this revision.Jan 12 2021, 6:45 PM
This revision is now accepted and ready to land.Jan 12 2021, 6:45 PM